Agent and Server compatibilityedit

The chart below outlines the compatibility between different versions of the APM agents and the APM Server.

Agent Agent version APM Server version

Go agent

1.x

6.5

Java agent

1.x

6.5

.NET agent

1.x

6.5

Node.js agent

1.x

6.2-6.x

2.x

6.5

3.x

6.6

PHP agent

1.x

7.0

Python agent

2.x, 3.x

6.2-6.x

4.x

6.5

5.x

6.6

Ruby agent

1.x

6.4-6.x

2.x

6.5

3.x

6.5

4.x

6.5

JavaScript RUM agent

0.x

6.3-6.4

1.x

6.4

2.x, 3.x, 4.x

6.5